shishi_kdcreq_renewable_p(3)

NAME
shishi_kdcreq_renewable_p - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_renewable_p(Shishi * handle, Shishi_asn1 kdcreq);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to get kdc-options field from.

DESCRIPTION
Determine if KDC-Option renewable flag is set. The RENEWABLE option indicates that the ticket to be issued is to have its RENEWABLE flag set. It may only be set on the initial request, or when the ticket-granting ticket on which the request is based is also renewable. If this option is requested, then the rtime field in the request contains the desired absolute expiration time for the ticket.

RETURN VALUE
Returns non-0 iff renewable flag is set in KDC-REQ.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.